# std::char_traits< CharT > Struct Template Reference

Basis for explicit traits specializations. More...

`#include <char_traits.h>`

Inheritance diagram for std::char_traits< CharT >:

[legend]
Collaboration diagram for std::char_traits< CharT >:

[legend]
List of all members.

## Detailed Description

### template<class CharT>
struct std::char_traits< CharT >

Basis for explicit traits specializations.

Note:
  For any given actual character type, this definition is probably wrong. Since this is just a thin wrapper around __gnu_cxx::char_traits, it is possible to achieve a more appropriate definition by specializing __gnu_cxx::char_traits.

See http://gcc.gnu.org/onlinedocs/libstdc++/21_strings/howto.html#5 for advice on how to make use of this class for "unusual" character types. Also, check out include/ext/pod_char_traits.h.

Definition at line 225 of file char_traits.h.

The documentation for this struct was generated from the following file:

- char_traits.h